<?php
/**
 * 
 * Show the product details page 
 *  
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Eugen Stranz
 * @author RolandD,
 * @todo handle child products
 * @link http://www.virtuemart.net
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default.php 6414 2012-09-10 08:03:48Z alatak $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$doc =& JFactory::getDocument();
$config =& JFactory::getConfig();
$doc->setMetaData('og:title', $this->product->product_name);
$doc->setMetaData('og:description', (strip_tags($this->product->product_desc) != '' ? strip_tags($this->product->product_desc) : $this->product->product_name));
if (!empty($this->product->images[0])) {
	$doc->setMetaData('og:image', JURI::root().$this->product->images[0]->file_url);
}
$doc->setMetaData('og:site_name', $config->getValue('sitename'));
$doc->setMetaData('og:url', 'http://'.$_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]);

//Custom tabs
jimport('joomla.html.pane');
$pane =& JPane::getInstance('tabs');
$i = 1;

// addon for joomla modal Box
JHTML::_('behavior.modal');
// JHTML::_('behavior.tooltip');
$document = JFactory::getDocument();
$document->addScriptDeclaration("
	jQuery(document).ready(function($) {
		$('a.ask-a-question').click( function(){
			$.facebox({
				iframe: '" . $this->askquestion_url . "',
				rev: 'iframe|550|550'
			});
			return false ;
		});
	/*	$('.additional-images a').mouseover(function() {
			var himg = this.href ;
			var extension=himg.substring(himg.lastIndexOf('.')+1);
			if (extension =='png' || extension =='jpg' || extension =='gif') {
				$('.main-image img').attr('src',himg );
			}
			console.log(extension)
		});*/
	});
");
/* Let's see if we found the product */
if (empty($this->product)) {
    echo JText::_('COM_VIRTUEMART_PRODUCT_NOT_FOUND');
    echo '<br /><br />  ' . $this->continue_link_html;
    return;
}
?>
<script src="<?php echo JURI::root().'/templates/ot_ceramic/html/com_virtuemart/simple_thumbs.js'; ?>" type="text/javascript"></script>
<script src="<?php echo JURI::root().'/templates/ot_ceramic/scripts/jquery.carousel.min.js'; ?>" type="text/javascript"></script>
<script type="text/javascript">
var $jc = jQuery.noConflict();
$jc(function(){
	$jc("div.additional-images").carousel({ 
		direction: "vertical",
		dispItems: 3,
		loop: true,
		animSpeed: "slow"});
	$jc("div.related-products").carousel({ 
		direction: "horizontal",
		dispItems: 3,
		loop: true,
		animSpeed: "slow"});
});
</script>
<script type="text/javascript">
var $j = jQuery.noConflict();
$j(function(){
	$itemwidth = $j(".product-related-products").width(),
	$j(".product-related-products .product").css('width', ($itemwidth-1)/3 + 'px')
});
/*
$("div.otcustom-tabs dl.tabs").click(function(){
  equaHeightContent();
});
*/
</script>
<div class="productdetails-view">
	<div class="productdetails-view-i">

		<?php
		// Product Navigation
		if (VmConfig::get('product_navigation', 1)) {
		?>
			<div class="product-neighbours">
			<?php
			if (!empty($this->product->neighbours ['previous'][0])) {
			$prev_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['previous'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id);
			echo JHTML::_('link', $prev_link, $this->product->neighbours ['previous'][0]
				['product_name'], array('class' => 'previous-page'));
			}
			if (!empty($this->product->neighbours ['next'][0])) {
			$next_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['next'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id);
			echo JHTML::_('link', $next_link, $this->product->neighbours ['next'][0] ['product_name'], array('class' => 'next-page'));
			}
			?>
			<div class="clear"></div>
			</div>
		<?php } // Product Navigation END
		?>

	   <?php // Back To Category Button
		if ($this->product->virtuemart_category_id) {
			$catURL =  JRoute::_('index.php?option=com_virtuemart&view=category&virtuemart_category_id='.$this->product->virtuemart_category_id);
			$categoryName = $this->product->category_name ;
		} else {
			$catURL =  JRoute::_('index.php?option=com_virtuemart');
			$categoryName = jText::_('COM_VIRTUEMART_SHOP_HOME') ;
		}
		?>
		<div class="back-to-category">
			<a href="<?php echo $catURL ?>" class="product-details" title="<?php echo $categoryName ?>"><?php echo JText::sprintf('COM_VIRTUEMART_CATEGORY_BACK_TO',$categoryName) ?></a>
		</div>

		<?php // Product Title   ?>
		<h1 class="product-name-details"><?php echo $this->product->product_name ?></h1>
		<?php // Product Title END   ?>
		
		<?php // Product Short Description
		if (!empty($this->product->product_s_desc)) { ?>
		<div class="product-short-description">
			<?php /** @todo Test if content plugins modify the product description */
			echo $this->product->product_s_desc; ?>
		</div>
		<?php } // Product Short Description END ?>
		
		<?php // afterDisplayTitle Event
		echo $this->product->event->afterDisplayTitle ?>

		<?php
		// Product Edit Link
		echo $this->edit_link;
		// Product Edit Link END
		?>
		
		<?php
		if (!empty($this->product->customfieldsSorted['ontop'])) {
			$this->position = 'ontop';
			echo $this->loadTemplate('customfields');
		} // Product Custom ontop end
		?>

		<div class="product-preview">
			<div class="product-images-details">
			<?php
				echo $this->loadTemplate('images');
			?>
			</div> 
			<div class="product-details">
				<div class="spacer-buy-area">
					<?php 
					// TO DO in Multi-Vendor not needed at the moment and just would lead to confusion
					/* $link = JRoute::_('index2.php?option=com_virtuemart&view=virtuemart&task=vendorinfo&virtuemart_vendor_id='.$this->product->virtuemart_vendor_id);
					  $text = JText::_('COM_VIRTUEMART_VENDOR_FORM_INFO_LBL');
					  echo '<span class="bold">'. JText::_('COM_VIRTUEMART_PRODUCT_DETAILS_VENDOR_LBL'). '</span>'; ?><a class="modal" href="<?php echo $link ?>"><?php echo $text ?></a><br />
					 */ ?>
					
					<?php
					$db = &JFactory::getDBO();
					$virtuemart_manufacturer_id = $this->product->virtuemart_manufacturer_id;
					$query1 = "SELECT * FROM `#__virtuemart_manufacturer_medias` WHERE `virtuemart_manufacturer_id`=".$virtuemart_manufacturer_id;
					$db->setQuery($query1);
					$virtuemart_media_id1 = $db->LoadObject();
					//
					$virtuemart_media_id = @$virtuemart_media_id1->virtuemart_media_id;
					$query = "SELECT * FROM `#__virtuemart_medias` WHERE `virtuemart_media_id`=".$virtuemart_media_id;
					$db->setQuery($query);
					$virtuemart_media = $db->LoadObject();
					
					// Manufacturer of the Product
					if (VmConfig::get('show_manufacturers', 1) && !empty($this->product->virtuemart_manufacturer_id)) {
						//echo $this->loadTemplate('manufacturer');
						echo '';
						echo '<div class="product-mf">
								<span>'. JText::_('TPL_OT_MANUFACTURER') .'</span> <br />
								<img src="'. $virtuemart_media->file_url_thumb .'" alt="'. $this->product->mf_name .'" />
							</div>';
					}
					?>
					
					<div class="product-sku">
						<span><?php echo '#'.$this->product->product_sku; ?></span>
					</div>
					
					<?php
					// Product Price
						// the test is done in show_prices
					//if ($this->show_prices and (empty($this->product->images[0]) or $this->product->images[0]->file_is_downloadable == 0)) {
					   echo $this->loadTemplate('showprices');
					//}
					?>
					
					<?php
					// Add To Cart Button
					// if (!empty($this->product->prices) and !empty($this->product->images[0]) and $this->product->images[0]->file_is_downloadable==0 ) {
					if (!VmConfig::get('use_as_catalog', 0) and !empty($this->product->prices)) {
						echo $this->loadTemplate('addtocart');
					}  // Add To Cart Button END
					?>
					
					<?php
					if ($this->showRating) {
						$maxrating = VmConfig::get('vm_maximum_rating_scale', 5);

						if (empty($this->rating)) {
						?>
						<p><span class="vote"><?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . JText::_('COM_VIRTUEMART_UNRATED') ?></span></p>
							<?php
						} else {
							$ratingwidth = $this->rating->rating * 15; //I don't use round as percetntage with works perfect, as for me
							?>
						<p><span class="vote">
							<?php echo JText::_('COM_VIRTUEMART_RATING') . ' ' . round($this->rating->rating) . '/' . $maxrating; ?><br/>
							<span title=" <?php echo (JText::_("COM_VIRTUEMART_RATING_TITLE") . round($this->rating->rating) . '/' . $maxrating) ?>" class="ratingbox" style="display:inline-block;">
							<span class="stars-orange" style="width:<?php echo $ratingwidth.'px'; ?>">
							</span>
							</span>
						</span></p>
						<?php
						}
					}
					if (is_array($this->productDisplayShipments)) {
						foreach ($this->productDisplayShipments as $productDisplayShipment) {
						echo $productDisplayShipment . '<br />';
						}
					}
					if (is_array($this->productDisplayPayments)) {
						foreach ($this->productDisplayPayments as $productDisplayPayment) {
						echo $productDisplayPayment . '<br />';
						}
					}
					?>
					
					<?php
					// Availability Image
					$stockhandle = VmConfig::get('stockhandle', 'none');
					if (($this->product->product_in_stock - $this->product->product_ordered) < 1) {
						if ($stockhandle == 'risetime' and VmConfig::get('rised_availability') and empty($this->product->product_availability)) {
						?>	<div class="availability">
							<?php echo (file_exists(JPATH_BASE . DS . VmConfig::get('assets_general_path') . 'images/availability/' . VmConfig::get('rised_availability'))) ? JHTML::image(JURI::root() . VmConfig::get('assets_general_path') . 'images/availability/' . VmConfig::get('rised_availability', '7d.gif'), VmConfig::get('rised_availability', '7d.gif'), array('class' => 'availability')) : VmConfig::get('rised_availability'); ?>
						</div>
						<?php
						} else if (!empty($this->product->product_availability)) {
						?>
						<div class="availability">
						<?php echo (file_exists(JPATH_BASE . DS . VmConfig::get('assets_general_path') . 'images/availability/' . $this->product->product_availability)) ? JHTML::image(JURI::root() . VmConfig::get('assets_general_path') . 'images/availability/' . $this->product->product_availability, $this->product->product_availability, array('class' => 'availability')) : $this->product->product_availability; ?>
						</div>
						<?php
						}
					}
					?>
					
					<?php
					// Ask a question about this product
					if (VmConfig::get('ask_question', 1) == 1) {
						?>
						<div class="ask-a-question">
							<a class="ask-a-question" href="<?php echo $this->askquestion_url ?>" ><?php echo JText::_('COM_VIRTUEMART_PRODUCT_ENQUIRY_LBL') ?></a>
							<!--<a class="ask-a-question modal" rel="{handler: 'iframe', size: {x: 700, y: 550}}" href="<?php echo $this->askquestion_url ?>"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_ENQUIRY_LBL') ?></a>-->
						</div>
					<?php }
					?>
<div class="clear"></div>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style " style="margin:10px 0 0 10px;">
<a class="addthis_button_facebook_like" fb:like:layout="button_count"></a>
<a class="addthis_button_tweet"></a>
<a class="addthis_counter addthis_pill_style"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4f439e7325ed2f46"></script>
<!-- AddThis Button END -->
<?php require(JPATH_BASE.DS."components/com_wishlist/template/addtofavorites_form.tpl.php"); ?>
				</div>
			</div>
			<div class="clear"></div>
		</div>
		
		<?php
		// PDF - Print - Email Icon
		if (VmConfig::get('show_emailfriend') || VmConfig::get('show_printicon') || VmConfig::get('pdf_button_enable')) {
		?>
			<div class="icons">
			<?php
			//$link = (JVM_VERSION===1) ? 'index2.php' : 'index.php';
			$link = 'index.php?tmpl=component&option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->virtuemart_product_id;
			$MailLink = 'index.php?option=com_virtuemart&view=productdetails&task=recommend&virtuemart_product_id=' . $this->product->virtuemart_product_id . '&virtuemart_category_id=' . $this->product->virtuemart_category_id . '&tmpl=component';

			if (VmConfig::get('pdf_icon', 1) == '1') {
			echo $this->linkIcon($link . '&format=pdf', 'COM_VIRTUEMART_PDF', 'pdf_buttonPDF', 'pdf_button_enable', false);
			}
			echo $this->linkIcon($link . '&print=1', 'COM_VIRTUEMART_PRINT', 'printButtonPrint', 'show_printicon');
			echo $this->linkIcon($MailLink, 'COM_VIRTUEMART_EMAIL', 'emailButtonEmail', 'show_emailfriend');
			?>
			<div class="clear"></div>
			</div>
		<?php } // PDF - Print - Email Icon END
		?>
		
		<?php // event onContentBeforeDisplay
		echo $this->product->event->beforeDisplayContent; ?>
		
		<div class="product-more-info">
			<?php
			//Show also viewed
			$product_model = VmModel::getModel('product');
			$recentproducts = shopFunctionsF::getRecentProductIds();
			$perRow = VmConfig::get('products_per_row',2)>2 ? 2 : VmConfig::get('products_per_row',2);
			$Browsecellwidth = ' width'.floor ( 100 / $perRow );?>
			<div class="recentproducts floatright">
				<h5 class="recent-viewed-title"><?php echo JText::_('COM_VIRTUEMART_RECENT_PRODUCTS'); ?></h5>
				<?php 
				$contador = 0;
				foreach ($recentproducts as $recentproduct_id) {
				if ($contador > 0 ) {
					$recentproduct = $product_model->getProduct($recentproduct_id);
					$product_model->addImages($recentproduct);
					//$this->assignRef('product', $recentproduct); ?>
					<div class="ot-custom-vmproduct product<?php //echo $Browsecellwidth ?>">
						<div class="spacer">
							<div class="spacer-i">
								<div class="ot-custom-product">
									<div class="ot-custom-product-i">
										<div class="product-image">
											<?php //echo $recentproduct->images[0]->displayMediaThumb('class="browseProductImage" border="0" title="'.$recentproduct->product_name.'" ',true,'class="modal"') ?>
											<a class="modal" href="<?php echo JURI::root().$recentproduct->images[0]->file_url ?>" title="<?php echo $recentproduct->images[0]->file_title ?>">
												<img class="browseProductImage" border=0 title="<?php echo $recentproduct->product_name ?>" src="<?php echo JURI::root().$recentproduct->images[0]->file_url_thumb; ?>" />
											</a>
										</div>
										<div class="product-name">
											<h5><a href="<?php echo $recentproduct->link; ?>"><?php echo $recentproduct->product_name; ?></a></h5>
										</div>
										<div class="product-price" id="productPrice<?php echo $recentproduct->virtuemart_product_id ?>">
											<?php
											if (!empty($recentproduct->prices)) {
												echo "<strong>" . JText::_ ('COM_VIRTUEMART_CART_PRICE') . "</strong>";
											}
											//vmdebug('view productdetails layout default show prices, prices',$recentproduct->prices);
											if (empty($recentproduct->prices) and VmConfig::get ('askprice', 1) and !$recentproduct->images[0]->file_is_downloadable) {
												?>
												<a class="ask-a-question bold" href="<?php echo $this->askquestion_url ?>"><?php echo JText::_ ('COM_VIRTUEMART_PRODUCT_ASKPRICE') ?></a>
												<?php
											}
											if ($this->showBasePrice) {
												echo $this->currency->createPriceDiv ('basePrice', 'COM_VIRTUEMART_PRODUCT_BASEPRICE', $recentproduct->prices);
												echo $this->currency->createPriceDiv ('basePriceVariant', 'COM_VIRTUEMART_PRODUCT_BASEPRICE_VARIANT', $recentproduct->prices);
											}
											echo $this->currency->createPriceDiv ('variantModification', 'COM_VIRTUEMART_PRODUCT_VARIANT_MOD', $recentproduct->prices);
											if ($recentproduct->prices['basePriceWithTax'] !== $recentproduct->prices['salesPrice']) {
												echo '<span class="price-crossed" >' . $this->currency->createPriceDiv ('basePriceWithTax', 'COM_VIRTUEMART_PRODUCT_BASEPRICE_WITHTAX', $recentproduct->prices) . "</span>";
											}
											if ($recentproduct->prices['salesPriceWithDiscount'] != $recentproduct->prices['salesPrice']) {
												echo $this->currency->createPriceDiv ('salesPriceWithDiscount', 'COM_VIRTUEMART_PRODUCT_SALESPRICE_WITH_DISCOUNT', $recentproduct->prices);
											}
											echo $this->currency->createPriceDiv ('salesPrice', 'COM_VIRTUEMART_PRODUCT_SALESPRICE', $recentproduct->prices);
											echo $this->currency->createPriceDiv ('priceWithoutTax', 'COM_VIRTUEMART_PRODUCT_SALESPRICE_WITHOUT_TAX', $recentproduct->prices);
											echo $this->currency->createPriceDiv ('discountAmount', 'COM_VIRTUEMART_PRODUCT_DISCOUNT_AMOUNT', $recentproduct->prices);
											echo $this->currency->createPriceDiv ('taxAmount', 'COM_VIRTUEMART_PRODUCT_TAX_AMOUNT', $recentproduct->prices);
											$unitPriceDescription = JText::sprintf ('COM_VIRTUEMART_PRODUCT_UNITPRICE', $recentproduct->product_unit);
											echo $this->currency->createPriceDiv ('unitPrice', $unitPriceDescription, $recentproduct->prices);

											?>
										</div>
										<div class="product-sku"><?php echo '#'.$recentproduct->product_sku; ?></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				<?php 
				//Solo mostramos un producto
				break;
				}
				$contador++;
				} ?>
				</div>
				<div class="product-more-info-right" style="overflow: hidden;">
					<?php // Product Description
					if (!empty($this->product->product_desc)) { ?>
						<?php //Title Product DESC
							echo '<h5 class="product-desc-title">'. JText::_('TPL_OT_VM_PRODUCT_DETAIL') .'</h5>';
						?>
						<div id="product-description-details-page" class="product-description">
							<?php /** @todo Test if content plugins modify the product description */ ?>
							<!--<span class="title"><?php //echo JText::_('COM_VIRTUEMART_PRODUCT_DESC_TITLE') ?></span>-->
							<div id="product-details-page-desc" class="product-details-page-desc"><?php echo $this->product->product_desc; ?></div>
						</div>
					<?php
					} // Product Description END
				
					if (!empty($this->product->customfieldsSorted['normal'])) {
					$this->position = 'normal';
					echo $this->loadTemplate('customfields');
					} // Product custom_fields END
					// Product Packaging
					$product_packaging = '';
					if ($this->product->product_box) {
					?>
						<div class="product-box">
						<?php
							echo JText::_('COM_VIRTUEMART_PRODUCT_UNITS_IN_BOX') .$this->product->product_box;
						?>
						</div>
					<?php } // Product Packaging END
					?>
				
					<?php
					// Product Files
					// foreach ($this->product->images as $fkey => $file) {
					// Todo add downloadable files again
					// if( $file->filesize > 0.5) $filesize_display = ' ('. number_format($file->filesize, 2,',','.')." MB)";
					// else $filesize_display = ' ('. number_format($file->filesize*1024, 2,',','.')." KB)";
					
					/* Show pdf in a new Window, other file types will be offered as download */
					// $target = stristr($file->file_mimetype, "pdf") ? "_blank" : "_self";
					// $link = JRoute::_('index.php?view=productdetails&task=getfile&virtuemart_media_id='.$file->virtuemart_media_id.'&virtuemart_product_id='.$this->product->virtuemart_product_id);
					// echo JHTMl::_('link', $link, $file->file_title.$filesize_display, array('target' => $target));
					// }
					
					if (!empty($this->product->customfieldsRelatedCategories)) {
						echo $this->loadTemplate('relatedcategories');
					} // Product customfieldsRelatedCategories END
					// Show child categories
					
					if (VmConfig::get('showCategory', 1)) {
						echo $this->loadTemplate('showcategory');
					}
					
					if (!empty($this->product->customfieldsSorted['onbot'])) {
						$this->position='onbot';
						echo $this->loadTemplate('customfields');
					} // Product Custom ontop end
					?>
					
					<?php // onContentAfterDisplay event
					//echo $this->product->event->afterDisplayContent; ?>
					
					<?php
					//Show Review
					echo $this->loadTemplate('reviews');
					?>
				</div>
			</div>
			<div style="clear:both;"></div>
			<?php if (!empty($this->product->customfieldsRelatedProducts)) {
				echo $this->loadTemplate('relatedproducts');
			} // Product customfieldsRelatedProducts END ?>
		</div>
	</div>
</div>
